TOPIC: Using v2.98 & v3

Using v2.98 & v3 2 weeks 1 day ago #24431

I want to upgrade to v3, but I am about 75% through recording my 9th album using v2.98 and for some unknown reason it will not allow me to have v2 and v3 installed in your PC at the same time. Is there anyway around this? It would have been much better if you allowed both versions to be installed so people could finish projects they are working on.

Cheers
Tim
SIGN-IN TO REPLY

Using v2.98 & v3 2 weeks 1 day ago #24432

Using only version 3,0 should not be a problem as your presets will be the same and sound the same.
  • fatherjacques
  • fatherjacques's Avatar
  • Online
  • Tone King
  • Posts: 714
SIGN-IN TO REPLY

Using v2.98 & v3 2 weeks 22 hours ago #24436

fatherjacques wrote:

Using only version 3,0 should not be a problem as your presets will be the same and sound the same.

Yes, running V3 will allow the opening and continuation of V2.98 projects. No need for V2.x at this point.
SIGN-IN TO REPLY

Using v2.98 & v3 1 week 6 days ago #24438

It's not quite that simple for me. If I install v3, then it automatically replaces V2.98. I will probably be using between 50 and 60 instances of S-Gear on this album, which have all been tweaked slightly different from the presets they started from. Yes, I could save a new preset for each instance, keep notes of what preset is used for which track(s) and then manually reload each one, but what a PITA. If the upgrade had allowed for both versions to be installed and used, it would be much easier and more logical, IMHO. My plan is to finish this album with v2.98, and then start fresh with v3 after it is done.
SIGN-IN TO REPLY

Using v2.98 & v3 1 week 6 days ago #24439

Saving your own presets/instances is the best move.
It of course would have been less painful if you had done it as you were going along.
Name the presets after the song they are used in.

Yeah 50-60 presets seems like a lot of work, but if you keep yourself organized it should payoff in the end.
Nothing to fear in v3, several advantages too. No reasons other that the extra work to hold onto v2.98.
Then you have lots of new starting presets for the future.

Good luck,
Dirk

p.s. I just had a thought, why not render out each track to audio? That way your Sgear is printed to a track just how you want it.
  • Dirk Diggler
  • Dirk Diggler's Avatar
  • Offline
  • Tone Star
  • Posts: 25
Last edit: 1 week 6 days ago by Dirk Diggler.
SIGN-IN TO REPLY

Using v2.98 & v3 1 week 5 days ago #24440

Much easier for me to just stay with the plan and finish with v2.98. I guess my basic question was answered, but I cannot understand why the code would be written to only allow one version on your PC? Is there a logical reason for this? I have lots of other software (Samplitude ProX, Adobe Photoshop, etc.) that can have many versions installed on your PC at the same time. I do not want to have dozens of presets that are just slight tweaks from another. That would be somewhat onerous and a bit of a waste of time; especially when they are likely to be tweaked a bit again at the final mixdown stage.

I have thought of rendering each track, but that limits any final adjustments at final mixdown. The easiest thing for me right now is to just finish with v2.98 and then move to v3 before I start on the next album.
SIGN-IN TO REPLY

Using v2.98 & v3 1 week 5 days ago #24441

There isn't any reason not to upgrade to v3. Your projects created with v2.9 will load up exactly the same.

With plug-ins it is normal for upgrades to replace the previous version, so that existing projects can continue to load correctly without needing to re-create new plug-in instances.
  • mike
  • mike's Avatar
  • Offline
  • Administrator
  • Posts: 2248
SIGN-IN TO REPLY

Using v2.98 & v3 1 week 5 days ago #24442

mike wrote:

There isn't any reason not to upgrade to v3. Your projects created with v2.9 will load up exactly the same.

Thanks Mike. Well then I guess I need to try it again, but that was not what I experienced when I upgraded to v3. I actually tried it twice and both times had to revert back to v2.9.
Last edit: 1 week 5 days ago by zuropak.
SIGN-IN TO REPLY

Using v2.98 & v3 1 week 5 days ago #24446

zuropak wrote:

mike wrote:

There isn't any reason not to upgrade to v3. Your projects created with v2.9 will load up exactly the same.

Thanks Mike. Well then I guess I need to try it again, but that was not what I experienced when I upgraded to v3. I actually tried it twice and both times had to revert back to v2.9.

There are a couple of caveats due to the S-Gear plug-in name changing from v2 to v3. See the notes 1 & 2 in the following upgrade FAQ: www.scuffhamamps.com/support/faq/sgear-v...fected-by-the-update

The workarounds are quite straightforward. I'm happy to help if you need some assistance, in which case, please contact me via support.
  • mike
  • mike's Avatar
  • Offline
  • Administrator
  • Posts: 2248
SIGN-IN TO REPLY
Time to create page: 0.068 seconds
Powered by Kunena Forum